<ion-header>
  <ion-toolbar>
    <ion-title>Entregas</ion-title>
  </ion-toolbar>
</ion-header>

<ion-content>
  <ion-list>
    <ion-item>
      <ion-input type="date" [(ngModel)]="date" name="date"></ion-input>
      <ion-button color="primary" (click)="searchDeliveries()"><ion-icon name="search-outline"></ion-icon></ion-button>
    </ion-item>
    <ion-item>
      <ion-label>Cliente</ion-label>
      <ion-label>Estado</ion-label>
      <ion-label>Total</ion-label>
    </ion-item>
    <ion-item *ngFor="let delivery of deliveries">
      <ion-label>{{ delivery.client.longname }}</ion-label>
      <ion-label *ngIf="delivery.is_new != undefined">{{ (delivery.is_new ? 'Pendiente' : 'Enviado' ) }} - {{ delivery.type }}</ion-label>
      <ion-label *ngIf="delivery.is_new == undefined">{{ (delivery.status == 'p' ? 'Pendiente' : 'Pagado' ) }} - {{ delivery.type }}</ion-label>
      <ion-badge color="primary">{{ config.formatPrice(delivery.total) }}</ion-badge>
    </ion-item>
  </ion-list>  
</ion-content>
<ion-footer>
  <ion-toolbar>
    <ion-title>
      Actualizar entregas
    </ion-title>
    <ion-buttons slot="end">
      <ion-button id="changeText" (click)="update()">
        <ion-icon slot="start" name="refresh"></ion-icon>
      </ion-button>
    </ion-buttons>
  </ion-toolbar>
</ion-footer>